# Deprecated API

## Contents

- Classes
- Methods

Deprecated Classes
Class
Description
org.apache.sling.repoinit.parser.operations.CreatePath
Use `EnsureNodes` instead.
org.apache.sling.repoinit.parser.operations.SetAclPrincipalBased
Use `EnsureAclPrincipalBased` instead with stricter semantics

Deprecated Methods
Method
Description
org.apache.sling.repoinit.parser.operations.OperationVisitor.visitCreatePath(CreatePath)
new statement calls `OperationVisitor.visitEnsureNodes(EnsureNodes)`
org.apache.sling.repoinit.parser.operations.OperationVisitor.visitSetAclPrincipalBased(SetAclPrincipalBased)
new statement calls `OperationVisitor.visitEnsureAclPrincipalBased(EnsureAclPrincipalBased)`